> For the complete documentation index, see [llms.txt](https://docs.leapwallet.io/cosmos/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.leapwallet.io/cosmos/leap-metamask-snap/integrating-snaps/cosmos-kit.md).

# Cosmos Kit

Cosmos Kit is a UI library that simplifies the process of connecting your dApp to any Cosmos-related wallet. To begin integrating with Cosmos Kit, consult the [documentation here](https://docs.cosmoskit.com/).

### How to Add Leap Cosmos Snap to Cosmos Kit

First, import the wallets from the package [`@cosmos-kit/leap-metamask-cosmos-snap`](https://www.npmjs.com/package/@cosmos-kit/leap-metamask-cosmos-snap):

```
import { wallets as leap-cosmos-snap } from "@cosmos-kit/leap-metamask-cosmos-snap";
```

Next, add it to your provider:

```tsx
function MyCosmosApp({ Component, pageProps }: AppProps) {
  return (
      <ChainProvider
        chains={chains}
        assetLists={assets}
        wallets={[...leap-cosmos-snap]}
        walletConnectOptions={...} // required if `wallets` contains mobile wallets
      >
        <Component {...pageProps} />
      </ChainProvider>
  );
}
 
export default MyCosmosApp;

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.leapwallet.io/cosmos/leap-metamask-snap/integrating-snaps/cosmos-kit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
